## ros-melodic-ublox-serialization 1.4.1

=== debian/changelog ===
ros-melodic-ublox-serialization (1.4.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox-serialization (1.4.0-1stretch) stretch; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox-serialization (1.3.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox-serialization (1.3.0-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox-serialization (1.2.0-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox-serialization (1.1.2-1stretch) stretch; urgency=high

  * README and package xml updates
  * Fixed bug with enabling INF messages. Changed how messages which update fix are enabled and changed name of subscribe param namespace to publish.
  * Added doxygen comments and made minor cleanup changes.
  * Added doxygen comments
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox-serialization (1.1.0-1stretch) stretch; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * changed receive message error print statements to only print in debug mode
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox-serialization (1.0.0-1stretch) stretch; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * formatting
  * Formatting of copyright so it's <80 char and changed std::cout in Async worker to ROS_INFO messages
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 22 Jun 2017 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.5-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 05 Aug 2016 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.4-1stretch) stretch; urgency=high

  * Add install targets
  * Contributors: Kartik Mohta

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 07 Dec 2014 23:00:00 -0000

ros-melodic-ublox-serialization (0.0.3-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 17 Oct 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.2-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 02 Oct 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Aug 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.0-1stretch) stretch; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 22 Jun 2014 22:00:00 -0000

## ros-melodic-ublox-serialization 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(ublox_serialization)

find_package(catkin REQUIRED COMPONENTS roscpp roscpp_serialization)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp roscpp_serialization)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-melodic-ublox-serialization (1.5.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Oct 2021 22:00:00 -0000

ros-melodic-ublox-serialization (1.4.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox-serialization (1.4.0-1bionic) bionic; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox-serialization (1.3.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox-serialization (1.3.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox-serialization (1.2.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox-serialization (1.1.2-1bionic) bionic; urgency=high

  * README and package xml updates
  * Fixed bug with enabling INF messages. Changed how messages which update fix are enabled and changed name of subscribe param namespace to publish.
  * Added doxygen comments and made minor cleanup changes.
  * Added doxygen comments
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox-serialization (1.1.0-1bionic) bionic; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * changed receive message error print statements to only print in debug mode
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox-serialization (1.0.0-1bionic) bionic; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * formatting
  * Formatting of copyright so it's <80 char and changed std::cout in Async worker to ROS_INFO messages
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 22 Jun 2017 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.5-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 05 Aug 2016 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.4-1bionic) bionic; urgency=high

  * Add install targets
  * Contributors: Kartik Mohta

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 07 Dec 2014 23:00:00 -0000

ros-melodic-ublox-serialization (0.0.3-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 17 Oct 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.2-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 02 Oct 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Aug 2014 22:00:00 -0000

ros-melodic-ublox-serialization (0.0.0-1bionic) bionic; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 22 Jun 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-ublox-serialization
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roscpp-serialization
Homepage: http://ros.org/wiki/ublox
Standards-Version: 3.9.2

Package: ros-melodic-ublox-serialization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-roscpp-serialization
Description: ublox_serialization provides header files for serialization of ROS messages to and from u-blox message format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ublox-serialization//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
